org.jboss.resteasy.plugins.providers.jaxb.fastinfoset

## Class FastinfoSetElementProvider

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.AbstractEntityProvider<T>
  - - org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider<JAXBElement<?>>
    - - org.jboss.resteasy.plugins.providers.jaxb.JAXBElementProvider
      - - org.jboss.resteasy.plugins.providers.jaxb.fastinfoset.FastinfoSetElementProvider

- All Implemented Interfaces:
    MessageBodyReader<JAXBElement<?>>, MessageBodyWriter<JAXBElement<?>>

      @Provider
      @Consumes(value="application/*+fastinfoset")
      @Produces(value="application/*+fastinfoset")
      public class FastinfoSetElementProvider
      extends JAXBElementProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider

      `providers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastinfoSetElementProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `needsSecurity()`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.JAXBElementProvider

      `isReadWritable, readFrom, writeTo`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider

      `decorateMarshaller, decorateUnmarshaller, findJAXBContext, getCharset, getMarshaller, isDisableDTDs, isDisableExternalEntities, isEnableSecureProcessingFeature, isReadable, isWriteable, processWithSecureProcessing, setCharset, setDisableDTDs, setDisableExternalEntities, setEnableSecureProcessingFeature`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.AbstractEntityProvider

      `getSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastinfoSetElementProvider

          public FastinfoSetElementProvider()

  - ### Method Detail

    - #### needsSecurity

          protected boolean needsSecurity()

      Overrides:
        `needsSecurity` in class `AbstractJAXBProvider<JAXBElement<?>>`

Copyright © 2014. All Rights Reserved.